Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.params
Interface CoreProtocolPNames

All Known Implementing Classes:
  HttpProtocolParams

Deprecated. (4.3) use configuration classes provided 'org.apache.http.config' and 'org.apache.http.client.config'

    @Deprecated
    public interface CoreProtocolPNames

Defines parameter names for protocol execution in HttpCore.

Since:
  4.0

Field Summary
`static String` | `HTTP_CONTENT_CHARSET` Deprecated. Defines the charset to be used per default for encoding content body.
`static String` | `HTTP_ELEMENT_CHARSET` Deprecated. Defines the charset to be used for encoding HTTP protocol elements.
`static String` | `HTTP_MALFORMED_INPUT_ACTION` Deprecated. Defines the action to perform upon receiving a malformed input.
`static String` | `HTTP_UNMAPPABLE_INPUT_ACTION` Deprecated. Defines the action to perform upon receiving an unmappable input.
`static String` | `ORIGIN_SERVER` Deprecated. Defines the content of the `Server` header.
`static String` | `PROTOCOL_VERSION` Deprecated. Defines the `ProtocolVersion` used per default.
`static String` | `STRICT_TRANSFER_ENCODING` Deprecated. Defines whether responses with an invalid `Transfer-Encoding` header should be rejected.
`static String` | `USE_EXPECT_CONTINUE` Deprecated. Activates 'Expect: 100-Continue' handshake for the entity enclosing methods.
`static String` | `USER_AGENT` Deprecated. Defines the content of the `User-Agent` header.
`static String` | `WAIT_FOR_CONTINUE` Deprecated. Defines the maximum period of time in milliseconds the client should spend waiting for a 100-continue response.

Field Detail

### PROTOCOL_VERSION

    static final String PROTOCOL_VERSION

  Deprecated.
  Defines the `ProtocolVersion` used per default.

  This parameter expects a value of type `ProtocolVersion`.

  See Also:
    Constant Field Values

### HTTP_ELEMENT_CHARSET

    static final String HTTP_ELEMENT_CHARSET

  Deprecated.
  Defines the charset to be used for encoding HTTP protocol elements.

  This parameter expects a value of type `String`.

  See Also:
    Constant Field Values

### HTTP_CONTENT_CHARSET

    static final String HTTP_CONTENT_CHARSET

  Deprecated.
  Defines the charset to be used per default for encoding content body.

  This parameter expects a value of type `String`.

  See Also:
    Constant Field Values

### USER_AGENT

    static final String USER_AGENT

  Deprecated.
  Defines the content of the `User-Agent` header.

  This parameter expects a value of type `String`.

  See Also:
    Constant Field Values

### ORIGIN_SERVER

    static final String ORIGIN_SERVER

  Deprecated.
  Defines the content of the `Server` header.

  This parameter expects a value of type `String`.

  See Also:
    Constant Field Values

### STRICT_TRANSFER_ENCODING

    static final String STRICT_TRANSFER_ENCODING

  Deprecated.
  Defines whether responses with an invalid `Transfer-Encoding` header should be rejected.

  This parameter expects a value of type `Boolean`.

  See Also:
    Constant Field Values

### USE_EXPECT_CONTINUE

    static final String USE_EXPECT_CONTINUE

  Deprecated.

  Activates 'Expect: 100-Continue' handshake for the entity enclosing methods. The purpose of the 'Expect: 100-Continue' handshake is to allow a client that is sending a request message with a request body to determine if the origin server is willing to accept the request (based on the request headers) before the client sends the request body.

  The use of the 'Expect: 100-continue' handshake can result in a noticeable performance improvement for entity enclosing requests (such as POST and PUT) that require the target server's authentication.

  'Expect: 100-continue' handshake should be used with caution, as it may cause problems with HTTP servers and proxies that do not support HTTP/1.1 protocol.

  This parameter expects a value of type `Boolean`.

  See Also:
    Constant Field Values

### WAIT_FOR_CONTINUE

    static final String WAIT_FOR_CONTINUE

  Deprecated.

  Defines the maximum period of time in milliseconds the client should spend waiting for a 100-continue response.

  This parameter expects a value of type `Integer`.

  See Also:
    Constant Field Values

### HTTP_MALFORMED_INPUT_ACTION

    static final String HTTP_MALFORMED_INPUT_ACTION

  Deprecated.

  Defines the action to perform upon receiving a malformed input. If the input byte sequence is not legal for this charset then the input is said to be malformed

  This parameter expects a value of type `CodingErrorAction`

  Since:
    4.2
  See Also:
    Constant Field Values

### HTTP_UNMAPPABLE_INPUT_ACTION

    static final String HTTP_UNMAPPABLE_INPUT_ACTION

  Deprecated.

  Defines the action to perform upon receiving an unmappable input. If the input byte sequence is legal but cannot be mapped to a valid Unicode character then the input is said to be unmappable

  This parameter expects a value of type `CodingErrorAction`

  Since:
    4.2
  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.